Subject: Re: bug#59738: c-ts-mode is slow with large buffers.

From: Dmitry Gutov <[email-masked]>
Date: Sun, 11 Dec 2022 18:38:52 +0200

On 11/12/2022 15:22, Alan Mackenzie wrote:
>> Though I’ll note that tree-sitter would provide other benefits. I don’t
>> know how much time does c-mode spend on analyzing the buffer content
>> when user edits it, ....
> It's quite a lot.  Occasionally, it's enough to make the response appear
> a little sluggish.  This analysis, time-wise, is less critical than the
> time taken for font locking, though.

If we test a different scenario (font-locking just one screen-ful, 
perhaps repeatedly, while the user is typing), which of the steps can 
take more time in a large buffer?